#pragma once

#include "CoreMinimal.h"
#include "SearchChestInteractionBase.h"
#include "Templates/SubclassOf.h"
#include "SearchOpenedChestInteraction.generated.h"

class UStatusEffect;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class USearchOpenedChestInteraction : public USearchChestInteractionBase
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UStatusEffect> _revealRummagingPlayerDueToKeyStatusEffectClass;

public:
	USearchOpenedChestInteraction();
};

FORCEINLINE uint32 GetTypeHash(const USearchOpenedChestInteraction) { return 0; }
